<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' ); // Exit if accessed directly.

function nafeza_prayer_times_data() {
    if ( get_option( 'nafeza_prayer_time_setting_fixed_location' ) ) :
        $latitude       = ( get_option( 'nafeza_prayer_time_setting_latitude' ) != '' ) ? get_option( 'nafeza_prayer_time_setting_latitude' ) : '41.011561';
        $longitude      = ( get_option( 'nafeza_prayer_time_setting_longitude' ) != '' ) ? get_option( 'nafeza_prayer_time_setting_longitude' ) : '29.039444';
        $location_info  = json_decode( file_get_contents_curl( 'http://api.aladhan.com/timings/' . time() . '?latitude=' . $latitude . '&longitude=' . $longitude ) );
        $timezone       = isset( $location_info->data->meta->timezone ) ? $location_info->data->meta->timezone : 'Europe/Istanbul';
        $city           = get_option( 'nafeza_prayer_time_setting_city', 'Istanbul' );
        $country        = get_option( 'nafeza_prayer_time_setting_country', 'Turkey' );
    else :
//        print_r($_SERVER);
        $ip_info        = json_decode( file_get_contents_curl( 'http://api.ipinfodb.com/v3/ip-city/?key=a1fcd72b1c196546ad9210245da924c20547568777efc26cb67fe2e1e1c36779&format=json&ip='.$_SERVER["REMOTE_ADDR"]) );
        $latitude       = isset( $ip_info->latitude ) ? $ip_info->latitude : '41.011561';
        $longitude      = isset( $ip_info->longitude ) ? $ip_info->longitude : '29.039444';
        $timezone       = ( $ip_info->countryCode != '' ) ? get_time_zone($ip_info->countryCode, $ip_info->regionName) : 'Europe/Istanbul';
        $city           = isset( $ip_info->regionName ) ? $ip_info->regionName : 'Istanbul';
        $country        = isset( $ip_info->countryName ) ? $ip_info->countryName : 'Turkey';
    endif;
    $method     = get_option( 'nafeza_prayer_time_setting_method' ) ? get_option( 'nafeza_prayer_time_setting_method' ) : '1';
    $school     = get_option( 'nafeza_prayer_time_setting_school' ) ? get_option( 'nafeza_prayer_time_setting_school' ) : '0';
    
    date_default_timezone_set( $timezone );
    $date = time();
    $date_format = date( 'H:i', time() );
    
    $prayer_info    = file_get_contents_curl( 'http://api.aladhan.com/timings/' . $date . '?latitude=' . $latitude . '&longitude=' . $longitude . '&timezonestring=' . $timezone . '&method=' . $method . '&school=' . $school . '' );
    $prayer_data    = json_decode( $prayer_info );
    $data           = $prayer_data->data->timings;
    $data->city     = $city;
    $data->country  = $country;
    $data->Fajr     = na_pt_update_time( $data->Fajr, get_option( 'nafeza_prayer_time_setting_fajr_difference', 0 ) );
    $data->Sunrise  = na_pt_update_time( $data->Sunrise, get_option( 'nafeza_prayer_time_setting_sunrise_difference', 0 ) );
    $data->Dhuhr    = na_pt_update_time( $data->Dhuhr, get_option( 'nafeza_prayer_time_setting_duhur_difference', 0 ) );
    $data->Asr      = na_pt_update_time( $data->Asr, get_option( 'nafeza_prayer_time_setting_asr_difference', 0 ) );
    $data->Maghrib  = na_pt_update_time( $data->Maghrib, get_option( 'nafeza_prayer_time_setting_maghrib_difference', 0 ) );
    $data->Isha     = na_pt_update_time( $data->Isha, get_option( 'nafeza_prayer_time_setting_isha_difference', 0 ) );
    $data->Imsak    = na_pt_update_time( $data->Imsak, get_option( 'nafeza_prayer_time_setting_imsak_difference', 0 ) );
    
    $datetime1 = new DateTime($date_format);
    if ( $date_format < $data->Fajr ) :
    $datetime2 = new DateTime( $data->Fajr );
    $interval = $datetime1->diff( $datetime2 );
        $data->next_time_after = $interval->format('%H:%I');
        $data->next_prayer = esc_attr__( 'FAJR', 'nafeza-prayer-time' );
        $data->next_time = $data->Fajr;
    elseif ( $date_format < $data->Dhuhr ) :
    $datetime2 = new DateTime( $data->Dhuhr );
    $interval = $datetime1->diff( $datetime2 );
        $data->next_time_after = $interval->format('%H:%I');
        $data->next_prayer = esc_attr__( 'DHUHR', 'nafeza-prayer-time' );
        $data->next_time = $data->Dhuhr;
    elseif ( $date_format < $data->Asr ) :
    $datetime2 = new DateTime( $data->Asr );
    $interval = $datetime1->diff( $datetime2 );
        $data->next_time_after = $interval->format('%H:%I');
        $data->next_prayer = esc_attr__( 'ASR', 'nafeza-prayer-time' );
        $data->next_time = $data->Asr;
    elseif ( $date_format < $data->Maghrib ) :
    $datetime2 = new DateTime( $data->Maghrib );
    $interval = $datetime1->diff( $datetime2 );
        $data->next_time_after = $interval->format('%H:%I');
        $data->next_prayer = esc_attr__( 'MAGHRIB', 'nafeza-prayer-time' );
        $data->next_time = $data->Maghrib;
    elseif ( $date_format < $data->Isha ) :
    $datetime2 = new DateTime( $data->Isha );
    $interval = $datetime1->diff( $datetime2 );
        $data->next_time_after = $interval->format('%H:%I');
        $data->next_prayer = esc_attr__( 'ISHA', 'nafeza-prayer-time' );
        $data->next_time = $data->Isha;
    endif;
    
    return $data;
}

function na_pt_update_time( $time, $update ) {
    $endTime = strtotime( $update . "minutes", strtotime( $time ) );
    return date( 'H:i', $endTime );
}


function na_pt_format( $time ) {
    if ( get_option( 'nafeza_prayer_time_setting_time_format' ) == 12 ) :
        $convert = strtotime($time);
        return date("h:i A", $convert);
    else :
        return $time;
    endif;
}


function nafeza_prayer_time_setting_scripts() {
    wp_enqueue_script('nafeza-prayer-time-setting-scripts', NAFEZA_PREYER_TIME_PLUGIN_URL . '/js/upload_icon.js', array(), '1.1.0', true); 
}
add_action('admin_enqueue_scripts', 'nafeza_prayer_time_setting_scripts');


function file_get_contents_curl($url) {
    $ch = curl_init();

    curl_setopt($ch, CURLOPT_AUTOREFERER, TRUE);
    curl_setopt($ch, CURLOPT_HEADER, 0);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);       

    $data = curl_exec($ch);
    curl_close($ch);

    return $data;
}